Bug 196247 - devel/libzrtpcpp builds fine with base openssl
Summary: devel/libzrtpcpp builds fine with base openssl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-24 05:26 UTC by Mikhail T.
Modified: 2015-03-29 11:29 UTC (History)
3 users (show)

See Also:


Attachments
Remove WITH_OPENSSL_PORT -- and bump PORTREVISION (510 bytes, patch)
2014-12-24 05:26 UTC, Mikhail T.
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2014-12-24 05:26:21 UTC
Created attachment 150931 [details]
Remove WITH_OPENSSL_PORT -- and bump PORTREVISION

Five years ago the seemingly unwarranted insistence on WITH_OPENSSL_PORT was removed (see Bug 139634).

Somehow the flag crept back in, when the port was upgraded to 2.3.2 (Bug 170635). I just tried building it (on 10.1/amd64) against the base OpenSSL and it seems perfectly fine. Please, consider removing the flag.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-12-24 14:51:29 UTC
This appears to apply to the individual port, not the framework.  Reassign on that basis.
Comment 2 Mathieu Arnold freebsd_committer 2014-12-24 14:57:44 UTC
I think this should be closed, we're on the way of fixing the last of the ports that do not respect WITH_OPENSSL_PORT, when it's done, it'll be the default.
Comment 3 Mikhail T. 2014-12-24 15:54:47 UTC
(In reply to Mathieu Arnold from comment #2)
> I think this should be closed, we're on the way of fixing the last of the
> ports that do not respect WITH_OPENSSL_PORT, when it's done, it'll be the
> default.

Sorry, I can not parse this. Are you saying, you are removing WITH_OPENSSL_PORT from all ports?
Comment 4 Mathieu Arnold freebsd_committer 2014-12-24 16:20:03 UTC
(In reply to Mikhail T. from comment #3)
> (In reply to Mathieu Arnold from comment #2)
> > I think this should be closed, we're on the way of fixing the last of the
> > ports that do not respect WITH_OPENSSL_PORT, when it's done, it'll be the
> > default.
> 
> Sorry, I can not parse this. Are you saying, you are removing
> WITH_OPENSSL_PORT from all ports?

Yes, when all ports build fine with OpenSSL from ports, it'll be the default and ports will always use OpenSSL from ports to build.
Comment 5 Mikhail T. 2014-12-24 17:25:00 UTC
(In reply to Mathieu Arnold from comment #4)
> Yes, when all ports build fine with OpenSSL from ports, it'll be the default
> and ports will always use OpenSSL from ports to build.

This makes no sense -- what's the purpose of this effort? Why would we want to duplicate the base OpenSSL port? I'd say, the default should be the exact opposite -- the fewer requirements are used to provide the same functionality, the better...

But, at any rate, this topic is unrelated to this PR -- this port insists on a port-installed OpenSSL, whatever the default is...
Comment 6 commit-hook freebsd_committer 2015-03-06 21:59:34 UTC
A commit references this bug:

Author: mi
Date: Fri Mar  6 21:58:46 UTC 2015
New revision: 380627
URL: https://svnweb.freebsd.org/changeset/ports/380627

Log:
  Do not insist on OpenSSL from ports -- base would do. Bump PORTREVISION.

  PR:		196247
  Approved by:	maintainer timeout (since December)

Changes:
  head/devel/libzrtpcpp/Makefile
  head/devel/libzrtpcpp/files/patch-libzrtpcpp.pc.cmake
Comment 7 Bartek Rutkowski freebsd_committer 2015-03-29 11:29:05 UTC
The fix has been already committed, so I am closing this PR.